package com.becausesec.chuckjokes.services

import guru.springframework.norris.chuck.ChuckNorrisQuotes
import org.springframework.stereotype.Component
import org.springframework.stereotype.Service

@Service
interface JokeService {
    val joke:String
}

@Component
class JokeServiceImpl:JokeService {

    val chuckNorrisQuotes : ChuckNorrisQuotes = ChuckNorrisQuotes()

    override val joke: String
        get() = chuckNorrisQuotes.randomQuote
}